%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         godbus
%global repo            dbus
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          939230d2086a4f1870e04c52e0a376c25bae0ec4
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-github-godbus-dbus
Version:        2
Release:        0.2.git%{shortcommit}%{?dist}
Summary:        Go client bindings for D-Bus
License:        BSD
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
Simple library that implements native Go client bindings for the
D-Bus message bus system.

Features include:
Complete native implementation of the D-Bus message protocol
Go-like API (channels for signals / asynchronous method calls, Goroutine-safe
connections)
Subpackages that help with the introspection / property interfaces.

%package devel
BuildRequires:  golang >= 1.3.3
Requires:       golang >= 1.3.3
Summary:        Go client bindings for D-Bus
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:       golang(%{import_path}/introspect) = %{version}-%{release}
Provides:       golang(%{import_path}/prop) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for building other packages
which use %{import_path}.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
for d in . _examples introspect prop; do
    install -d -p %{buildroot}/%{gopath}/src/%{import_path}/$d
    cp -pav $d/*.go %{buildroot}/%{gopath}/src/%{import_path}/$d
done

%check

%files devel
%doc LICENSE README.markdown
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-0.2.git939230d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Mar 31 2015 jchaloup <jchaloup@redhat.com> - 2-0.1.git939230d
- Bump to upstream 939230d2086a4f1870e04c52e0a376c25bae0ec4
- Spec file polishing
  related: #1082734

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.2.gitcb98efb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 31 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.1.git
- Initial fedora package
